/**
 * Take a html snapshot.
 * @memberof apeman-util/lib/browsing
 * @function takeHtmlSnapshot
 * @param {string} url - URL to screenthos.
 * @param {string} filename - Filename to save.
 * @param {object} options - Optional settings.
 * @param {function} callback - Callback when done.
 */

"use strict";

var execPhantomScript = require('./exec_phantom_script'),
    script = require.resolve('./scripts/_take_html_snapshot.phantom.js');

/** @lends takeHtmlSnapshot */
function takeHtmlSnapshot(url, filename, options, callback) {
    if (typeof(arguments[2]) === 'function') {
        callback = arguments[2];
        options = {};
    }
    var bin = takeHtmlSnapshot._script;
    execPhantomScript(bin, [
        url, filename
    ], callback);
}

takeHtmlSnapshot._script = script;


module.exports = takeHtmlSnapshot;