/**
 * Take a png screen shot.
 * @memberof apeman-util/lib/browsing
 * @function takePngScreenshot
 * @param {string} url - URL to screenthos.
 * @param {string} filename - Filename to save.
 * @param {object} options - Optional settings.
 * @param {number} [options.width=320] - Image width.
 * @param {number} [options.height=460] - Image hieght.
 * @param {function} callback - Callback when done.
 */

"use strict";

var execPhantomScript = require('./exec_phantom_script'),
    script = require.resolve('./scripts/_take_png_screenshot.phantom.js');

/** @lends takePngScreenshot */
function takePngScreenshot(url, filename, options, callback) {
    if (typeof(arguments[2]) === 'function') {
        callback = arguments[2];
        options = {};
    }
    var bin = takePngScreenshot._script;
    var width = (options.width || 320),
        height = (options.height || 460);
    execPhantomScript(bin, [
        url, filename, width, height,
    ], callback);
}

takePngScreenshot._script = script;


module.exports = takePngScreenshot;