/**
 * Create a stream with append flag..
 * @memberof module:apeman-util/lib/file
 * @function appendingStream
 * @param {string} filename - File name for stream.
 * @returns {fs.WriteStream} - Write stream.
 * @author Taka Okunishi
 */
"use strict";

var u = require('../../lib'),
    ext = u.ext,
    core = u.core,
    path = core.path,
    fs = core.fs;

/** @lends appendingStream */
module.exports = function appendingStream(filename) {
    filename = path.resolve(filename);
    return fs.createWriteStream(filename, {
        flags: 'a'
    });
};