/**
 * @file Unlink a file force fully.
 * @memberof module:apeman-util/lib/file
 * @function forceUnlink
 * @param {string} filename - Filename to unlink.
 * @param {function} callback - Callback when done.
 * @author Taka Okunishi
 */

"use strict";

var u = require('../../lib'),
    core = u.core,
    ext = u.ext,
    async = ext.async,
    fs = core.fs;

/** @lends forceUnlink */
module.exports = function forceUnlink(filename, callback) {
    fs.exists(filename, function (exists) {
        if (!exists) {
            callback(null);
            return;
        }
        async.series([
            function (callback) {
                fs.chmod(filename, '444', callback);
            },
            function (callback) {
                fs.unlink(filename, callback);
            }
        ], callback);
    });
}
