/**
 * Remove directory recursively.
 * @memberof module:apeman-util/lib/file
 * @function rmdirRecursive
 * @parma {string} dirname - Directory path to remove.
 * @param {function} callback - Callback when done.
 */

"use strict";

var ext = require('../ext'),
    fs = require('fs'),
    rimraf = ext.rimraf;

/** @lends rmdirRecursive */
module.exports = function rmdirRecursive(dirname, callback) {
    fs.exists(dirname, function (exists) {
        if (exists) {
            rimraf(dirname, callback);
        } else {
            callback(null);
        }
    });
};
