/**
 * @file Limit filter.
 * @memberof module:apeman-util/lib/filter
 * @function limitFilter
 * @param {number} limit - Limit to filter.
 * @returns {function} - Filter function to skip.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

module.exports = function limitFilter(limit) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (entry, i) {
        return i < (limit || Infinity);
    };
};