/**
 * @file Pattern accept filter.
 * @memberof module:apeman-util/lib/filtering
 * @function patternAcceptFilter
 * @param {string|RegExp} pattern - Pattern to reject.
 * @returns {function} - Filter function to reject the pattern.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

module.exports = function patternAcceptFilter(pattern) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (key) {
        return String(key).match(pattern);
    };
};