/**
 * @file Skip filter.
 * @memberof module:apeman-util/lib/filter
 * @function skipFilter
 * @param {number} skip - Skip count.
 * @returns {function} - Filter function to skip.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

module.exports = function skipFilter(skip) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (entry, i) {
        return (skip || 0) <= i;
    };
};