/**
 * @file Write json file.
 * Generated from "ci/tmpl/module_member.js.dot" by "buildSeedFiles" on 2014-06-24
 * @memberof module:json
 * @function writeJsonFile
 * @param {string} filename - Filename
 * @param {object} data - Data to write.
 * @param {function} callback - Callback when done.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";


var u = require('../../lib'),
    ext = u.ext,
    core = u.core,
    fs = core.fs;

module.exports = function writeJsonFile(filename, data, callback) {
    try {
        var content = JSON.stringify(data || '{}', null, 4);
        fs.writeFile(filename, content, callback);
    } catch (e) {
        callback(e);
    }
};