/**
 * @file Create a map function to resolve path.
 * @memberof module:apeman-util/lib/mapping
 * @function pathResolveMap
 * @param {string} [basedir=process.cwd()] - Base dirname to resolve.
 * @returns {function} - Map function.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var u = require('../../lib'),
    core = u.core,
    path = core.path;

module.exports = function pathResolveMap(basedir) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (filename) {
        return path.resolve(basedir || process.cwd(), filename);
    }
};