/**
 * @file Create a map function to add prefix.
 * @memberof module:apeman-util/lib/mapping
 * @function prefixMap
 * @param {string} prefix - Prefix string.
 * @returns {function} - Map function.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

module.exports = function prefixMap(prefix) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (value) {
        return [prefix, value].join('');
    };
};