/**
 * Copy an object.
 * @memberof module:apeman
 * @function copy
 * @param {object} src - Source object.
 * @param {object} dest - Destination object.
 * @returns {object} - Destination object.
 */


"use strict";

module.exports = function copy(src, dest) {
    var keys = Object.keys(src);
    for (var i = 0, len = keys.length; i < len; i++) {
        var key = keys[i];
        dest[key] = src[key];
    }
    return dest;
};