/**
 * Copy each properties only when destination does not have it.
 * @memberof module:apeman-util/lib/object
 * @function fallbackCopy
 * @param {object} src - Source object.
 * @param {object} dest - Destination object.
 * @returns {object} - Destination object.
 */

"use strict";


module.exports = function fallbackCopy(src, dest) {
    src = src || {};
    var keys = Object.keys(src);
    for (var i = 0, len = keys.length; i < len; i++) {
        var key = keys[i];
        if (!dest.hasOwnProperty(key)) {
            dest[key] = src[key];
        }
    }
    return dest;
};