/**
 * Strip extension from file name.
 * @memberof module:apeman-util/lib/pathname
 * @function stripExt
 * @param {string} filename - File name.
 * @returns {string} - Stripped file name.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

var u = require('../../lib'),
    core = u.core,
    path = core.path;

/** @lends stripExt */
module.exports = function stripExt(filename) {
    var dirname = path.dirname(filename),
        extname = path.extname(filename),
        basename = path.basename(filename, extname);
    return path.join(dirname, basename);
};