/**
 * @file Random int.
 * @memberof @memberof module:apeman-util/lib/random
 * @function randomInt
 * @param {number} min=0 - Min number to generate.
 * @param {number} max=100 - Max number to generate.
 * @returns {number} - Random number.
 * @author Taka Okunishi
 */

"use strict";

/** @lends randomInt */
module.exports = function randomInt(min, max) {
    switch (arguments.length) {
        case 0:
            min = 0;
            max = 100;
            break;
        case 1:
            max = arguments[0];
            min = 0;
            break;
    }
    return parseInt(Math.random() * (max - min)) + min;
};