/**
 * @file Concat reduce filter.
 * @memberof module:apeman-util/lib/reducing
 * @function concatReduce
 * @returns {function} - Reduce function to reject the pattern.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

/** @lends concatReduce */
module.exports = function concatReduce() {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (a, b) {
        return a.concat(b);
    }
};