/**
 * Load handlebars template.
 * @memberof module:apeman-util/lib/rendering
 * @function loadHbsTmpl
 * @param {string} filename - Template file name.
 * @param {function} callback - Callback when done.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */


"use strict";

var u = require('../../lib'),
    core = u.core,
    ext = u.ext,
    fs = core.fs,
    async = ext.async,
    Handlebars = ext.handlebars;

/** @lends loadHbsTmpl */
module.exports = function loadHbsTmpl(filename, callback) {
    async.waterfall([
        function (callback) {
            fs.readFile(filename, callback);
        },
        function (buffer, callback) {
            var compiled = Handlebars.compile(buffer.toString());
            callback(null, compiled);
        }
    ], callback);
};