/**
 * Schema definitions.
 * @memberof module:apeman-util/schemas
 * @member definition
 * @type object
 */

"use strict";

/** @lends definition **/
exports = module.exports = {};

/**
 * Type definition for array.
 * @memberof definition
 */
exports.arrayType = {
    type: 'array'
};
/**
 * Type definition for boolean.
 * @memberof definition
 */
exports.booleanType = {
    type: 'boolean'
};
/**
 * Type definition for integer.
 * @memberof definition
 */
exports.integerType = {
    type: 'integer'
};
/**
 * Type definition for number.
 * @memberof definition
 */
exports.numberType = {
    type: 'number'
};
/**
 * Type definition for null.
 * @memberof definition
 */
exports.nullType = {
    type: 'null'
};
/**
 * Type definition for object.
 * @memberof definition
 */
exports.objectType = {
    type: 'object'
};
/**
 * Type definition for string.
 * @memberof definition
 */
exports.stringType = {
    type: 'string'
};
/**
 * Type definition for array array.
 * @memberof definition
 */
exports.arrayTypeArray = {
    type: 'array',
    items: {type: 'array'}
};
/**
 * Type definition for boolean array.
 * @memberof definition
 */
exports.booleanTypeArray = {
    type: 'array',
    items: {type: 'boolean'}
};
/**
 * Type definition for integer array.
 * @memberof definition
 */
exports.integerTypeArray = {
    type: 'array',
    items: {type: 'integer'}
};
/**
 * Type definition for number array.
 * @memberof definition
 */
exports.numberTypeArray = {
    type: 'array',
    items: {type: 'number'}
};
/**
 * Type definition for null array.
 * @memberof definition
 */
exports.nullTypeArray = {
    type: 'array',
    items: {type: 'null'}
};
/**
 * Type definition for object array.
 * @memberof definition
 */
exports.objectTypeArray = {
    type: 'array',
    items: {type: 'object'}
};
/**
 * Type definition for string array.
 * @memberof definition
 */
exports.stringTypeArray = {
    type: 'array',
    items: {type: 'string'}
};
/**
 * Type definition for numeric string.
 * @memberof definition
 */
exports.numericString = {
    type: 'string',
    pattern: '^[0-9]*$'
};
/**
 * Type definition for alpha string.
 * @memberof definition
 */
exports.alphaString = {
    type: 'string',
    pattern: '^[a-zA-Z]*$'
};
/**
 * Type definition for unique array.
 * @memberof definition
 */
exports.uniqueArray = {
    type: 'array',
    uniqueItems: true
};
/**
 * Type definition for notEmpty array.
 * @memberof definition
 */
exports.notEmptyArray = {
    type: 'array',
    minItems: 1
};
