/**
 * Abstract schema object.
 * @memberof module:apeman-util/lib/schemas
 * @abstract
 * @constructor Schema
 * @param {object} def - Schema definition..
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

/** @lends Schema */
function Schema() {
    var s = this;
    s.init.apply(s, arguments);
}

/**
 * Initialize a schema.
 * @param {object} def - Schema definition.
 */
Schema.prototype.init = function (def) {
    var s = this;
    s.def = def;
};

/**
 * Validate values.
 * @param {object} values - Object to validate.
 * @param {function} callback - Callback when done.
 */
Schema.prototype.validate = function (values, callback) {
    throw new Error('Not implemented!');
};

module.exports = Schema;