/**
 * @file String asc sort.
 * @memberof module:apeman-util/lib/sorting
 * @function stringAscSort
 * @param {string} [key] - Key of property to compare.
 * @returns {function} - Sort function.
 * @see {@link module:apeman-util|util}
 * @author Taka Okunishi
 */

"use strict";

/** @lends stringAscSort */
module.exports = function stringAscSort(key) {
    if (arguments.length > 1) {
        throw new Error('Invalid args.');
    }
    return function (a, b) {
        if (key) {
            a = a[key];
            b = b[key];
        }
        return String(a).localeCompare(String(b));
    };
};