/**
 * @file Test for camel_string.js.
 * Runs with node unit.
 */

"use strict";

var camelString = require('./../../lib/string/camel_string.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Camel string.'] = function (test) {
    test.equal(camelString('foo_bar'), 'fooBar');
    test.equal(camelString('_bar_baz'), 'barBaz');
    test.equal(camelString(''), '');
    test.strictEqual(camelString(null), 'null');
    test.strictEqual(camelString(undefined), 'undefined');
    test.done();
};