/**
 * @file Test for console logger.
 * Runs with node unit.
 */

"use strict";

var h = require('../_helper'),
    ConsoleLogger = require('../../lib/logging/console_logger');

exports.setUp = function (done) {
    h.injector.inject(console, 'log', h.doNothing);
    h.injector.inject(console, 'error', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Decorate.'] = function (test) {
    var logger = new ConsoleLogger();
    test.ok(logger._decorate('foo', 'green'));
    test.ok(logger._decorate('foo', '__not_exists'));
    test.done();
};
exports['Print logs.'] = function (test) {
    var logger = new ConsoleLogger();
    logger.info('info', 'bar');
    logger.debug('debug', 'bar');
    logger.trace('trace', 'bar');
    logger.error('error', 'bar');
    logger.fatal('fatal', 'bar');
    test.done();
};