/**
 * @file Test for diff.js.
 * Runs with node unit.
 */

"use strict";

var Diff = require('./../../lib/object/diff.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Diff.'] = function (test) {
    var diff = new Diff({
        foo: 'bar',
        baz: 'quz'
    }, {
        foo: 'bar',
        baz: 'quz2'
    });
    test.ok(diff);
    test.ifError(diff.foo);
    test.ok(diff.baz);
    test.deepEqual(diff.baz, ['quz', 'quz2']);
    test.deepEqual(diff.newer(), { baz: 'quz2' });
    test.done();
};