/**
 * @file Test for fallback_copy.js.
 * Runs with node unit.
 */

"use strict";

var fallbackCopy = require('./../../lib/object/fallback_copy.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Fallback copy.'] = function (test) {
    var src = {
            foo: 'bar',
            baz: 'quz'
        },
        dest = {
            foo: 'dest',
            foo2: 'dest'
        };
    src.__proto__ = {'q': 1};
    fallbackCopy(src, dest);
    test.deepEqual(dest, { foo: 'dest', foo2: 'dest', baz: 'quz' });
    test.ok(!dest.q);
    test.ok(fallbackCopy(null, {}));
    test.done();
};