/**
 * @file Test for inline_html.js.
 * Runs with node unit.
 */

"use strict";

var inlineHtml = require('./../../lib/html/inline_html.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Is remote.'] = function (test) {
    test.ok(inlineHtml.isRemote('http://example.com/foo.png'));
    test.ok(!inlineHtml.isRemote('/foo.png'));
    test.done();
}
exports['Inline html.'] = function (test) {
    var src = h.resolveMockFile('mock-html.html'),
        dest = h.resolveWorkFile('work-inline-html.html');
    inlineHtml(src, dest, function (err) {
        test.ifError(err);
        test.done();
    });
};