/**
 * @file Test for json_schema.js.
 * Runs with node unit.
 */

"use strict";

var JsonSchema = require('./../../lib/schemas/json_schema/json_schema.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Json schema.'] = function (test) {
    var schema = new JsonSchema({
        required: ['foo']
    });
    schema.setLang('ja');
    schema.validate({bar: 'baz'}, function (err, report) {
        test.ifError(err);
        var kind = JsonSchema._errorKind(report.errors[0].code);
        test.equal(kind, 'OBJECT_REQUIRED');
        test.equal(report.errors.length, 1);
        test.done();
    });
};

exports['Throw if error.'] = function (test) {
    var schema = new JsonSchema({
        required: ['foo']
    });
    test.throws(function () {
        schema.throwIfError({});
    });
    test.doesNotThrow(function () {
        schema.throwIfError({foo: 'bar'});
    });
    test.done();
};