/**
 * @file Test for mock injector.
 * Runs with node unit.
 */

"use strict";

var MockInjector = require('../../lib/testing/mock_injector');

exports['Inject a mock.'] = function (test) {
    var injector = new MockInjector;
    var obj = {
        foo: 'bar'
    };
    injector.inject(obj, 'foo', 'baz');
    test.equal(obj.foo, 'baz');
    injector.restoreInjected();
    test.equal(obj.foo, 'bar');


    injector.inject(obj, 'foo', 'baz');
    test.equal(obj.foo, 'baz');
    injector.inject(obj, 'foo', 'quz');
    test.equal(obj.foo, 'quz');
    injector.restoreAllInjected();
    test.equal(obj.foo, 'bar');


    test.ok(!injector.restoreInjected());
    test.ok(!injector.restoreInjected());
    test.done();
};