/**
 * @file Test for rmdir_recursive.js.
 * Runs with node unit.
 */

"use strict";

var rmdirRecursive = require('./../../lib/file/rmdir_recursive.js'),
    fs = require('fs'),
    mkdirp = require('mkdirp'),
    h = require('../_helper');

exports.setUp = function (done) {
    // h.injector.inject(console, 'log', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Rmdir recursive.'] = function (test) {
    var dirname = h.resolveWorkFile('__work_rmdir_r_dir/bar/baz/quz');
    rmdirRecursive(dirname, function (err) {
        test.ifError(err);
        mkdirp.sync(dirname);
        mkdirp.sync(dirname + '/foo');
        mkdirp.sync(dirname + '/foobar');
        rmdirRecursive(dirname, function (err) {
            test.ifError(err);
            test.done();
        });
    });
};