/**
 * @file Test for string_desc_sort.js.
 * Runs with node unit.
 */

"use strict";

var stringDescSort = require('./../../lib/sorting/string_desc_sort.js'),
    h = require('../_helper');

exports['String desc sort.'] = function (test) {
    var sort = stringDescSort();
    test.ok(sort('a', 'b') > 0);
    test.ok(sort('bb', 'ab') < 0);
    test.ok(sort('cc', 'cc') == 0);


    var sort2 = stringDescSort('foo');
    test.ok(sort2({foo: 'a'}, {foo: 'b'}) > 0);
    test.ok(sort2({foo: 'bb'}, {foo: 'ab'}) < 0);
    test.ok(sort2({foo: 'cc'}, {foo: 'cc'}) == 0);

    test.throws(function () {
        [1, 2, 3].sort(stringDescSort);
    });


    test.done();
};