/**
 * @file Test for task_helper.js.
 * Runs with node unit.
 */

"use strict";

var TaskHelper = require('./../../lib/tasking/task_helper.js'),
    h = require('../_helper');

exports.setUp = function (done) {
    h.injector.inject(console, 'log', h.doNothing);
    h.injector.inject(console, 'error', h.doNothing);
    done();
};

exports.tearDown = function (done) {
    h.injector.restoreAllInjected();
    done();
};

exports['Task helper.'] = function (test) {
    var helper = new TaskHelper(h.resolveWorkFile('.'));
    test.ok(helper);
    var done = helper.done('foo');
    done(new Error());
    done(null);
    test.done();
};